#ifndef _SENSOR_PHY_REGS_H_
#define _SENSOR_PHY_REGS_H_

/*
 * sensor_csr registers - HiSPI
 */

#define SENSOR_CSR_SENSOR_CTRL_OFFSET (0x0000)
#define SENSOR_CSR_SENSOR_CTRL_DEFAULT (0x00018000)
#define SENSOR_CSR_SENSOR_CTRL_DEFAULT_VALID (0x003FFFFF)

/* SENSOR_CSR, SENSOR_CTRL, WORD_SIZE */
#define SENSOR_CSR_SENSOR_CTRL_WORD_SIZE_MASK (0x00000003)
#define SENSOR_CSR_SENSOR_CTRL_WORD_SIZE_LSBMASK (0x00000003)
#define SENSOR_CSR_SENSOR_CTRL_WORD_SIZE_SHIFT (0)
#define SENSOR_CSR_SENSOR_CTRL_WORD_SIZE_LENGTH (2)
#define SENSOR_CSR_SENSOR_CTRL_WORD_SIZE_DEFAULT (0)
#define SENSOR_CSR_SENSOR_CTRL_WORD_SIZE_SIGNED_FIELD (IMG_FALSE)

/* SENSOR_CSR, SENSOR_CTRL, HSYNC_COND */
#define SENSOR_CSR_SENSOR_CTRL_HSYNC_COND_MASK (0x00000004)
#define SENSOR_CSR_SENSOR_CTRL_HSYNC_COND_LSBMASK (0x00000001)
#define SENSOR_CSR_SENSOR_CTRL_HSYNC_COND_SHIFT (2)
#define SENSOR_CSR_SENSOR_CTRL_HSYNC_COND_LENGTH (1)
#define SENSOR_CSR_SENSOR_CTRL_HSYNC_COND_DEFAULT (0)
#define SENSOR_CSR_SENSOR_CTRL_HSYNC_COND_SIGNED_FIELD (IMG_FALSE)

/* SENSOR_CSR, SENSOR_CTRL, VSYNC_COND */
#define SENSOR_CSR_SENSOR_CTRL_VSYNC_COND_MASK (0x00000008)
#define SENSOR_CSR_SENSOR_CTRL_VSYNC_COND_LSBMASK (0x00000001)
#define SENSOR_CSR_SENSOR_CTRL_VSYNC_COND_SHIFT (3)
#define SENSOR_CSR_SENSOR_CTRL_VSYNC_COND_LENGTH (1)
#define SENSOR_CSR_SENSOR_CTRL_VSYNC_COND_DEFAULT (0)
#define SENSOR_CSR_SENSOR_CTRL_VSYNC_COND_SIGNED_FIELD (IMG_FALSE)

/* SENSOR_CSR, SENSOR_CTRL, DATA_MSB_PHY */
#define SENSOR_CSR_SENSOR_CTRL_DATA_MSB_PHY_MASK (0x00000010)
#define SENSOR_CSR_SENSOR_CTRL_DATA_MSB_PHY_LSBMASK (0x00000001)
#define SENSOR_CSR_SENSOR_CTRL_DATA_MSB_PHY_SHIFT (4)
#define SENSOR_CSR_SENSOR_CTRL_DATA_MSB_PHY_LENGTH (1)
#define SENSOR_CSR_SENSOR_CTRL_DATA_MSB_PHY_DEFAULT (0)
#define SENSOR_CSR_SENSOR_CTRL_DATA_MSB_PHY_SIGNED_FIELD (IMG_FALSE)

/* SENSOR_CSR, SENSOR_CTRL, NUM_PHY */
#define SENSOR_CSR_SENSOR_CTRL_NUM_PHY_MASK (0x00000060)
#define SENSOR_CSR_SENSOR_CTRL_NUM_PHY_LSBMASK (0x00000003)
#define SENSOR_CSR_SENSOR_CTRL_NUM_PHY_SHIFT (5)
#define SENSOR_CSR_SENSOR_CTRL_NUM_PHY_LENGTH (2)
#define SENSOR_CSR_SENSOR_CTRL_NUM_PHY_DEFAULT (0)
#define SENSOR_CSR_SENSOR_CTRL_NUM_PHY_SIGNED_FIELD (IMG_FALSE)

/* SENSOR_CSR, SENSOR_CTRL, ENABLE_HISPI */
#define SENSOR_CSR_SENSOR_CTRL_ENABLE_HISPI_MASK (0x00000080)
#define SENSOR_CSR_SENSOR_CTRL_ENABLE_HISPI_LSBMASK (0x00000001)
#define SENSOR_CSR_SENSOR_CTRL_ENABLE_HISPI_SHIFT (7)
#define SENSOR_CSR_SENSOR_CTRL_ENABLE_HISPI_LENGTH (1)
#define SENSOR_CSR_SENSOR_CTRL_ENABLE_HISPI_DEFAULT (0)
#define SENSOR_CSR_SENSOR_CTRL_ENABLE_HISPI_SIGNED_FIELD (IMG_FALSE)

/* SENSOR_CSR, SENSOR_CTRL, FILLERCODE_EN */
#define SENSOR_CSR_SENSOR_CTRL_FILLERCODE_EN_MASK (0x00000100)
#define SENSOR_CSR_SENSOR_CTRL_FILLERCODE_EN_LSBMASK (0x00000001)
#define SENSOR_CSR_SENSOR_CTRL_FILLERCODE_EN_SHIFT (8)
#define SENSOR_CSR_SENSOR_CTRL_FILLERCODE_EN_LENGTH (1)
#define SENSOR_CSR_SENSOR_CTRL_FILLERCODE_EN_DEFAULT (0)
#define SENSOR_CSR_SENSOR_CTRL_FILLERCODE_EN_SIGNED_FIELD (IMG_FALSE)

/* SENSOR_CSR, SENSOR_CTRL, TWOPIXEL_MODE */
#define SENSOR_CSR_SENSOR_CTRL_TWOPIXEL_MODE_MASK (0x00000200)
#define SENSOR_CSR_SENSOR_CTRL_TWOPIXEL_MODE_LSBMASK (0x00000001)
#define SENSOR_CSR_SENSOR_CTRL_TWOPIXEL_MODE_SHIFT (9)
#define SENSOR_CSR_SENSOR_CTRL_TWOPIXEL_MODE_LENGTH (1)
#define SENSOR_CSR_SENSOR_CTRL_TWOPIXEL_MODE_DEFAULT (0)
#define SENSOR_CSR_SENSOR_CTRL_TWOPIXEL_MODE_SIGNED_FIELD (IMG_FALSE)

/* SENSOR_CSR, SENSOR_CTRL, FIFO_AFULL_THRESH */
#define SENSOR_CSR_SENSOR_CTRL_FIFO_AFULL_THRESH_MASK (0x00007C00)
#define SENSOR_CSR_SENSOR_CTRL_FIFO_AFULL_THRESH_LSBMASK (0x0000001F)
#define SENSOR_CSR_SENSOR_CTRL_FIFO_AFULL_THRESH_SHIFT (10)
#define SENSOR_CSR_SENSOR_CTRL_FIFO_AFULL_THRESH_LENGTH (5)
#define SENSOR_CSR_SENSOR_CTRL_FIFO_AFULL_THRESH_DEFAULT (0)
#define SENSOR_CSR_SENSOR_CTRL_FIFO_AFULL_THRESH_SIGNED_FIELD (IMG_FALSE)

/* SENSOR_CSR, SENSOR_CTRL, FIFO_AEMPTY_THRESH */
#define SENSOR_CSR_SENSOR_CTRL_FIFO_AEMPTY_THRESH_MASK (0x000F8000)
#define SENSOR_CSR_SENSOR_CTRL_FIFO_AEMPTY_THRESH_LSBMASK (0x0000001F)
#define SENSOR_CSR_SENSOR_CTRL_FIFO_AEMPTY_THRESH_SHIFT (15)
#define SENSOR_CSR_SENSOR_CTRL_FIFO_AEMPTY_THRESH_LENGTH (5)
#define SENSOR_CSR_SENSOR_CTRL_FIFO_AEMPTY_THRESH_DEFAULT (3)
#define SENSOR_CSR_SENSOR_CTRL_FIFO_AEMPTY_THRESH_SIGNED_FIELD (IMG_FALSE)

/* SENSOR_CSR, SENSOR_CTRL, WORD_LOCK_CTRL */
#define SENSOR_CSR_SENSOR_CTRL_WORD_LOCK_CTRL_MASK (0x00300000)
#define SENSOR_CSR_SENSOR_CTRL_WORD_LOCK_CTRL_LSBMASK (0x00000003)
#define SENSOR_CSR_SENSOR_CTRL_WORD_LOCK_CTRL_SHIFT (20)
#define SENSOR_CSR_SENSOR_CTRL_WORD_LOCK_CTRL_LENGTH (2)
#define SENSOR_CSR_SENSOR_CTRL_WORD_LOCK_CTRL_DEFAULT (0)
#define SENSOR_CSR_SENSOR_CTRL_WORD_LOCK_CTRL_SIGNED_FIELD (IMG_FALSE)

/* SENSOR_CSR, SENSOR_CTRL, EXT_CLK */
#define SENSOR_CSR_SENSOR_CTRL_EXT_CLK_MASK (0x00400000)
#define SENSOR_CSR_SENSOR_CTRL_EXT_CLK_LSBMASK (0x00000001)
#define SENSOR_CSR_SENSOR_CTRL_EXT_CLK_SHIFT (22)
#define SENSOR_CSR_SENSOR_CTRL_EXT_CLK_LENGTH (1)
#define SENSOR_CSR_SENSOR_CTRL_EXT_CLK_DEFAULT (0)
#define SENSOR_CSR_SENSOR_CTRL_EXT_CLK_SIGNED_FIELD (IMG_FALSE)

#define SENSOR_CSR_WORDLOCK0_OFFSET (0x0004)
#define SENSOR_CSR_WORDLOCK0_DEFAULT (0x00000000)
#define SENSOR_CSR_WORDLOCK0_DEFAULT_VALID (0x00FFFFFF)

/* SENSOR_CSR, WORDLOCK0, WORD_LOCK_CODE0 */
#define SENSOR_CSR_WORDLOCK0_WORD_LOCK_CODE0_MASK (0x00FFFFFF)
#define SENSOR_CSR_WORDLOCK0_WORD_LOCK_CODE0_LSBMASK (0x00FFFFFF)
#define SENSOR_CSR_WORDLOCK0_WORD_LOCK_CODE0_SHIFT (0)
#define SENSOR_CSR_WORDLOCK0_WORD_LOCK_CODE0_LENGTH (24)
#define SENSOR_CSR_WORDLOCK0_WORD_LOCK_CODE0_DEFAULT (0)
#define SENSOR_CSR_WORDLOCK0_WORD_LOCK_CODE0_SIGNED_FIELD (IMG_FALSE)

#define SENSOR_CSR_WORDLOCK1_OFFSET (0x0008)
#define SENSOR_CSR_WORDLOCK1_DEFAULT (0x00000000)
#define SENSOR_CSR_WORDLOCK1_DEFAULT_VALID (0x00FFFFFF)

/* SENSOR_CSR, WORDLOCK1, WORD_LOCK_CODE1 */
#define SENSOR_CSR_WORDLOCK1_WORD_LOCK_CODE1_MASK (0x00FFFFFF)
#define SENSOR_CSR_WORDLOCK1_WORD_LOCK_CODE1_LSBMASK (0x00FFFFFF)
#define SENSOR_CSR_WORDLOCK1_WORD_LOCK_CODE1_SHIFT (0)
#define SENSOR_CSR_WORDLOCK1_WORD_LOCK_CODE1_LENGTH (24)
#define SENSOR_CSR_WORDLOCK1_WORD_LOCK_CODE1_DEFAULT (0)
#define SENSOR_CSR_WORDLOCK1_WORD_LOCK_CODE1_SIGNED_FIELD (IMG_FALSE)

#define SENSOR_CSR_WORDLOCK2_OFFSET (0x000C)
#define SENSOR_CSR_WORDLOCK2_DEFAULT (0x00000000)
#define SENSOR_CSR_WORDLOCK2_DEFAULT_VALID (0x00FFFFFF)

/* SENSOR_CSR, WORDLOCK2, WORD_LOCK_CODE2 */
#define SENSOR_CSR_WORDLOCK2_WORD_LOCK_CODE2_MASK (0x00FFFFFF)
#define SENSOR_CSR_WORDLOCK2_WORD_LOCK_CODE2_LSBMASK (0x00FFFFFF)
#define SENSOR_CSR_WORDLOCK2_WORD_LOCK_CODE2_SHIFT (0)
#define SENSOR_CSR_WORDLOCK2_WORD_LOCK_CODE2_LENGTH (24)
#define SENSOR_CSR_WORDLOCK2_WORD_LOCK_CODE2_DEFAULT (0)
#define SENSOR_CSR_WORDLOCK2_WORD_LOCK_CODE2_SIGNED_FIELD (IMG_FALSE)

#define SENSOR_CSR_SYNC_CODE0_00_OFFSET (0x0010)
#define SENSOR_CSR_SYNC_CODE0_00_DEFAULT (0x00000000)
#define SENSOR_CSR_SYNC_CODE0_00_DEFAULT_VALID (0xFFFFFFFF)

/* SENSOR_CSR, SYNC_CODE0_00, SYNC_CODE0_00 */
#define SENSOR_CSR_SYNC_CODE0_00_SYNC_CODE0_00_MASK (0xFFFFFFFF)
#define SENSOR_CSR_SYNC_CODE0_00_SYNC_CODE0_00_LSBMASK (0xFFFFFFFF)
#define SENSOR_CSR_SYNC_CODE0_00_SYNC_CODE0_00_SHIFT (0)
#define SENSOR_CSR_SYNC_CODE0_00_SYNC_CODE0_00_LENGTH (32)
#define SENSOR_CSR_SYNC_CODE0_00_SYNC_CODE0_00_DEFAULT (0)
#define SENSOR_CSR_SYNC_CODE0_00_SYNC_CODE0_00_SIGNED_FIELD (IMG_FALSE)

#define SENSOR_CSR_SYNC_CODE0_01_OFFSET (0x0014)
#define SENSOR_CSR_SYNC_CODE0_01_DEFAULT (0x00000000)
#define SENSOR_CSR_SYNC_CODE0_01_DEFAULT_VALID (0x0000FFFF)

/* SENSOR_CSR, SYNC_CODE0_01, SYNC_CODE0_01 */
#define SENSOR_CSR_SYNC_CODE0_01_SYNC_CODE0_01_MASK (0x0000FFFF)
#define SENSOR_CSR_SYNC_CODE0_01_SYNC_CODE0_01_LSBMASK (0x0000FFFF)
#define SENSOR_CSR_SYNC_CODE0_01_SYNC_CODE0_01_SHIFT (0)
#define SENSOR_CSR_SYNC_CODE0_01_SYNC_CODE0_01_LENGTH (16)
#define SENSOR_CSR_SYNC_CODE0_01_SYNC_CODE0_01_DEFAULT (0)
#define SENSOR_CSR_SYNC_CODE0_01_SYNC_CODE0_01_SIGNED_FIELD (IMG_FALSE)

#define SENSOR_CSR_SYNC_CODE1_00_OFFSET (0x0018)
#define SENSOR_CSR_SYNC_CODE1_00_DEFAULT (0x00000000)
#define SENSOR_CSR_SYNC_CODE1_00_DEFAULT_VALID (0xFFFFFFFF)

/* SENSOR_CSR, SYNC_CODE1_00, SYNC_CODE1_00 */
#define SENSOR_CSR_SYNC_CODE1_00_SYNC_CODE1_00_MASK (0xFFFFFFFF)
#define SENSOR_CSR_SYNC_CODE1_00_SYNC_CODE1_00_LSBMASK (0xFFFFFFFF)
#define SENSOR_CSR_SYNC_CODE1_00_SYNC_CODE1_00_SHIFT (0)
#define SENSOR_CSR_SYNC_CODE1_00_SYNC_CODE1_00_LENGTH (32)
#define SENSOR_CSR_SYNC_CODE1_00_SYNC_CODE1_00_DEFAULT (0)
#define SENSOR_CSR_SYNC_CODE1_00_SYNC_CODE1_00_SIGNED_FIELD (IMG_FALSE)

#define SENSOR_CSR_SYNC_CODE1_01_OFFSET (0x001C)
#define SENSOR_CSR_SYNC_CODE1_01_DEFAULT (0x00000000)
#define SENSOR_CSR_SYNC_CODE1_01_DEFAULT_VALID (0x0000FFFF)

/* SENSOR_CSR, SYNC_CODE1_01, SYNC_CODE1_01 */
#define SENSOR_CSR_SYNC_CODE1_01_SYNC_CODE1_01_MASK (0x0000FFFF)
#define SENSOR_CSR_SYNC_CODE1_01_SYNC_CODE1_01_LSBMASK (0x0000FFFF)
#define SENSOR_CSR_SYNC_CODE1_01_SYNC_CODE1_01_SHIFT (0)
#define SENSOR_CSR_SYNC_CODE1_01_SYNC_CODE1_01_LENGTH (16)
#define SENSOR_CSR_SYNC_CODE1_01_SYNC_CODE1_01_DEFAULT (0)
#define SENSOR_CSR_SYNC_CODE1_01_SYNC_CODE1_01_SIGNED_FIELD (IMG_FALSE)

#define SENSOR_CSR_SYNC_CODE2_00_OFFSET (0x0020)
#define SENSOR_CSR_SYNC_CODE2_00_DEFAULT (0x00000000)
#define SENSOR_CSR_SYNC_CODE2_00_DEFAULT_VALID (0xFFFFFFFF)

/* SENSOR_CSR, SYNC_CODE2_00, SYNC_CODE2_00 */
#define SENSOR_CSR_SYNC_CODE2_00_SYNC_CODE2_00_MASK (0xFFFFFFFF)
#define SENSOR_CSR_SYNC_CODE2_00_SYNC_CODE2_00_LSBMASK (0xFFFFFFFF)
#define SENSOR_CSR_SYNC_CODE2_00_SYNC_CODE2_00_SHIFT (0)
#define SENSOR_CSR_SYNC_CODE2_00_SYNC_CODE2_00_LENGTH (32)
#define SENSOR_CSR_SYNC_CODE2_00_SYNC_CODE2_00_DEFAULT (0)
#define SENSOR_CSR_SYNC_CODE2_00_SYNC_CODE2_00_SIGNED_FIELD (IMG_FALSE)

#define SENSOR_CSR_SYNC_CODE2_01_OFFSET (0x0024)
#define SENSOR_CSR_SYNC_CODE2_01_DEFAULT (0x00000000)
#define SENSOR_CSR_SYNC_CODE2_01_DEFAULT_VALID (0x0000FFFF)

/* SENSOR_CSR, SYNC_CODE2_01, SYNC_CODE2_01 */
#define SENSOR_CSR_SYNC_CODE2_01_SYNC_CODE2_01_MASK (0x0000FFFF)
#define SENSOR_CSR_SYNC_CODE2_01_SYNC_CODE2_01_LSBMASK (0x0000FFFF)
#define SENSOR_CSR_SYNC_CODE2_01_SYNC_CODE2_01_SHIFT (0)
#define SENSOR_CSR_SYNC_CODE2_01_SYNC_CODE2_01_LENGTH (16)
#define SENSOR_CSR_SYNC_CODE2_01_SYNC_CODE2_01_DEFAULT (0)
#define SENSOR_CSR_SYNC_CODE2_01_SYNC_CODE2_01_SIGNED_FIELD (IMG_FALSE)

#define SENSOR_CSR_SYNC_CODE3_00_OFFSET (0x0028)
#define SENSOR_CSR_SYNC_CODE3_00_DEFAULT (0x00000000)
#define SENSOR_CSR_SYNC_CODE3_00_DEFAULT_VALID (0xFFFFFFFF)

/* SENSOR_CSR, SYNC_CODE3_00, SYNC_CODE3_00 */
#define SENSOR_CSR_SYNC_CODE3_00_SYNC_CODE3_00_MASK (0xFFFFFFFF)
#define SENSOR_CSR_SYNC_CODE3_00_SYNC_CODE3_00_LSBMASK (0xFFFFFFFF)
#define SENSOR_CSR_SYNC_CODE3_00_SYNC_CODE3_00_SHIFT (0)
#define SENSOR_CSR_SYNC_CODE3_00_SYNC_CODE3_00_LENGTH (32)
#define SENSOR_CSR_SYNC_CODE3_00_SYNC_CODE3_00_DEFAULT (0)
#define SENSOR_CSR_SYNC_CODE3_00_SYNC_CODE3_00_SIGNED_FIELD (IMG_FALSE)

#define SENSOR_CSR_SYNC_CODE3_01_OFFSET (0x002C)
#define SENSOR_CSR_SYNC_CODE3_01_DEFAULT (0x00000000)
#define SENSOR_CSR_SYNC_CODE3_01_DEFAULT_VALID (0xFFFFFFFF)

/* SENSOR_CSR, SYNC_CODE3_01, SYNC_CODE3_01 */
#define SENSOR_CSR_SYNC_CODE3_01_SYNC_CODE3_01_MASK (0xFFFFFFFF)
#define SENSOR_CSR_SYNC_CODE3_01_SYNC_CODE3_01_LSBMASK (0xFFFFFFFF)
#define SENSOR_CSR_SYNC_CODE3_01_SYNC_CODE3_01_SHIFT (0)
#define SENSOR_CSR_SYNC_CODE3_01_SYNC_CODE3_01_LENGTH (32)
#define SENSOR_CSR_SYNC_CODE3_01_SYNC_CODE3_01_DEFAULT (0)
#define SENSOR_CSR_SYNC_CODE3_01_SYNC_CODE3_01_SIGNED_FIELD (IMG_FALSE)

#define SENSOR_CSR_RESET_REG_OFFSET (0x0030)
#define SENSOR_CSR_RESET_REG_DEFAULT (0x00000000)
#define SENSOR_CSR_RESET_REG_DEFAULT_VALID (0x00000003)

/* SENSOR_CSR, RESET_REG, SOFT_RESET */
#define SENSOR_CSR_RESET_REG_SOFT_RESET_MASK (0x00000001)
#define SENSOR_CSR_RESET_REG_SOFT_RESET_LSBMASK (0x00000001)
#define SENSOR_CSR_RESET_REG_SOFT_RESET_SHIFT (0)
#define SENSOR_CSR_RESET_REG_SOFT_RESET_LENGTH (1)
#define SENSOR_CSR_RESET_REG_SOFT_RESET_DEFAULT (0)
#define SENSOR_CSR_RESET_REG_SOFT_RESET_SIGNED_FIELD (IMG_FALSE)

/* SENSOR_CSR, RESET_REG, SOFT_RESET_CSR */
#define SENSOR_CSR_RESET_REG_SOFT_RESET_CSR_MASK (0x00000002)
#define SENSOR_CSR_RESET_REG_SOFT_RESET_CSR_LSBMASK (0x00000001)
#define SENSOR_CSR_RESET_REG_SOFT_RESET_CSR_SHIFT (1)
#define SENSOR_CSR_RESET_REG_SOFT_RESET_CSR_LENGTH (1)
#define SENSOR_CSR_RESET_REG_SOFT_RESET_CSR_DEFAULT (0)
#define SENSOR_CSR_RESET_REG_SOFT_RESET_CSR_SIGNED_FIELD (IMG_FALSE)

#define SENSOR_CSR_ACTIVE_PIXEL_SIZE_OFFSET (0x0034)
#define SENSOR_CSR_ACTIVE_PIXEL_SIZE_DEFAULT (0x00000000)
#define SENSOR_CSR_ACTIVE_PIXEL_SIZE_DEFAULT_VALID (0x00000FFF)

/* SENSOR_CSR, ACTIVE_PIXEL_SIZE, ACTIVE_PIXEL_SIZE */
#define SENSOR_CSR_ACTIVE_PIXEL_SIZE_ACTIVE_PIXEL_SIZE_MASK (0x00000FFF)
#define SENSOR_CSR_ACTIVE_PIXEL_SIZE_ACTIVE_PIXEL_SIZE_LSBMASK (0x00000FFF)
#define SENSOR_CSR_ACTIVE_PIXEL_SIZE_ACTIVE_PIXEL_SIZE_SHIFT (0)
#define SENSOR_CSR_ACTIVE_PIXEL_SIZE_ACTIVE_PIXEL_SIZE_LENGTH (12)
#define SENSOR_CSR_ACTIVE_PIXEL_SIZE_ACTIVE_PIXEL_SIZE_DEFAULT (0)
#define SENSOR_CSR_ACTIVE_PIXEL_SIZE_ACTIVE_PIXEL_SIZE_SIGNED_FIELD (IMG_FALSE)

#define SENSOR_CSR_SENSOR_STATUS0_OFFSET (0x0038)
#define SENSOR_CSR_SENSOR_STATUS0_DEFAULT (0x00000000)
#define SENSOR_CSR_SENSOR_STATUS0_DEFAULT_VALID (0xFFFFFFFF)

/* SENSOR_CSR, SENSOR_STATUS0, SENSOR_STATUS0_PHY0 */
#define SENSOR_CSR_SENSOR_STATUS0_SENSOR_STATUS0_PHY0_MASK (0x0000FFFF)
#define SENSOR_CSR_SENSOR_STATUS0_SENSOR_STATUS0_PHY0_LSBMASK (0x0000FFFF)
#define SENSOR_CSR_SENSOR_STATUS0_SENSOR_STATUS0_PHY0_SHIFT (0)
#define SENSOR_CSR_SENSOR_STATUS0_SENSOR_STATUS0_PHY0_LENGTH (16)
#define SENSOR_CSR_SENSOR_STATUS0_SENSOR_STATUS0_PHY0_DEFAULT (0)
#define SENSOR_CSR_SENSOR_STATUS0_SENSOR_STATUS0_PHY0_SIGNED_FIELD (IMG_FALSE)

/* SENSOR_CSR, SENSOR_STATUS0, SENSOR_STATUS0_PHY1 */
#define SENSOR_CSR_SENSOR_STATUS0_SENSOR_STATUS0_PHY1_MASK (0xFFFF0000)
#define SENSOR_CSR_SENSOR_STATUS0_SENSOR_STATUS0_PHY1_LSBMASK (0x0000FFFF)
#define SENSOR_CSR_SENSOR_STATUS0_SENSOR_STATUS0_PHY1_SHIFT (16)
#define SENSOR_CSR_SENSOR_STATUS0_SENSOR_STATUS0_PHY1_LENGTH (16)
#define SENSOR_CSR_SENSOR_STATUS0_SENSOR_STATUS0_PHY1_DEFAULT (0)
#define SENSOR_CSR_SENSOR_STATUS0_SENSOR_STATUS0_PHY1_SIGNED_FIELD (IMG_FALSE)

#define SENSOR_CSR_SENSOR_STATUS1_OFFSET (0x003C)
#define SENSOR_CSR_SENSOR_STATUS1_DEFAULT (0x00000000)
#define SENSOR_CSR_SENSOR_STATUS1_DEFAULT_VALID (0xFFFFFFFF)

/* SENSOR_CSR, SENSOR_STATUS1, SENSOR_STATUS0_PHY2 */
#define SENSOR_CSR_SENSOR_STATUS1_SENSOR_STATUS0_PHY2_MASK (0x0000FFFF)
#define SENSOR_CSR_SENSOR_STATUS1_SENSOR_STATUS0_PHY2_LSBMASK (0x0000FFFF)
#define SENSOR_CSR_SENSOR_STATUS1_SENSOR_STATUS0_PHY2_SHIFT (0)
#define SENSOR_CSR_SENSOR_STATUS1_SENSOR_STATUS0_PHY2_LENGTH (16)
#define SENSOR_CSR_SENSOR_STATUS1_SENSOR_STATUS0_PHY2_DEFAULT (0)
#define SENSOR_CSR_SENSOR_STATUS1_SENSOR_STATUS0_PHY2_SIGNED_FIELD (IMG_FALSE)

/* SENSOR_CSR, SENSOR_STATUS1, SENSOR_STATUS0_PHY3 */
#define SENSOR_CSR_SENSOR_STATUS1_SENSOR_STATUS0_PHY3_MASK (0xFFFF0000)
#define SENSOR_CSR_SENSOR_STATUS1_SENSOR_STATUS0_PHY3_LSBMASK (0x0000FFFF)
#define SENSOR_CSR_SENSOR_STATUS1_SENSOR_STATUS0_PHY3_SHIFT (16)
#define SENSOR_CSR_SENSOR_STATUS1_SENSOR_STATUS0_PHY3_LENGTH (16)
#define SENSOR_CSR_SENSOR_STATUS1_SENSOR_STATUS0_PHY3_DEFAULT (0)
#define SENSOR_CSR_SENSOR_STATUS1_SENSOR_STATUS0_PHY3_SIGNED_FIELD (IMG_FALSE)

#define SENSOR_CSR_SENSOR_TOP_CTRL_OFFSET (0x0040)
#define SENSOR_CSR_SENSOR_TOP_CTRL_DEFAULT (0x00000000)
#define SENSOR_CSR_SENSOR_TOP_CTRL_DEFAULT_VALID (0x0000FFFF)

/* SENSOR_CSR, SENSOR_TOP_CTRL, SENSOR_TOP_CTRL */
#define SENSOR_CSR_SENSOR_TOP_CTRL_SENSOR_TOP_CTRL_MASK (0x0000FFFF)
#define SENSOR_CSR_SENSOR_TOP_CTRL_SENSOR_TOP_CTRL_LSBMASK (0x0000FFFF)
#define SENSOR_CSR_SENSOR_TOP_CTRL_SENSOR_TOP_CTRL_SHIFT (0)
#define SENSOR_CSR_SENSOR_TOP_CTRL_SENSOR_TOP_CTRL_LENGTH (16)
#define SENSOR_CSR_SENSOR_TOP_CTRL_SENSOR_TOP_CTRL_DEFAULT (0)
#define SENSOR_CSR_SENSOR_TOP_CTRL_SENSOR_TOP_CTRL_SIGNED_FIELD (IMG_FALSE)

#define SENSOR_CSR_REV_ID_OFFSET (0x0044)
#define SENSOR_CSR_REV_ID_DEFAULT (0x00000000)
#define SENSOR_CSR_REV_ID_DEFAULT_VALID (0x00FFFFFF)

/* SENSOR_CSR, REV_ID, MAJOR_REVID */
#define SENSOR_CSR_REV_ID_MAJOR_REVID_MASK (0x000000FF)
#define SENSOR_CSR_REV_ID_MAJOR_REVID_LSBMASK (0x000000FF)
#define SENSOR_CSR_REV_ID_MAJOR_REVID_SHIFT (0)
#define SENSOR_CSR_REV_ID_MAJOR_REVID_LENGTH (8)
#define SENSOR_CSR_REV_ID_MAJOR_REVID_DEFAULT (0)
#define SENSOR_CSR_REV_ID_MAJOR_REVID_SIGNED_FIELD (IMG_FALSE)

/* SENSOR_CSR, REV_ID, MINOR_REVID */
#define SENSOR_CSR_REV_ID_MINOR_REVID_MASK (0x0000FF00)
#define SENSOR_CSR_REV_ID_MINOR_REVID_LSBMASK (0x000000FF)
#define SENSOR_CSR_REV_ID_MINOR_REVID_SHIFT (8)
#define SENSOR_CSR_REV_ID_MINOR_REVID_LENGTH (8)
#define SENSOR_CSR_REV_ID_MINOR_REVID_DEFAULT (0)
#define SENSOR_CSR_REV_ID_MINOR_REVID_SIGNED_FIELD (IMG_FALSE)

/* SENSOR_CSR, REV_ID, MAINTENANCE_REVID */
#define SENSOR_CSR_REV_ID_MAINTENANCE_REVID_MASK (0x00FF0000)
#define SENSOR_CSR_REV_ID_MAINTENANCE_REVID_LSBMASK (0x000000FF)
#define SENSOR_CSR_REV_ID_MAINTENANCE_REVID_SHIFT (16)
#define SENSOR_CSR_REV_ID_MAINTENANCE_REVID_LENGTH (8)
#define SENSOR_CSR_REV_ID_MAINTENANCE_REVID_DEFAULT (0)
#define SENSOR_CSR_REV_ID_MAINTENANCE_REVID_SIGNED_FIELD (IMG_FALSE)

/*
 * sensor_csr registers - MIPI PHY
 * These definitions are used to configure both MIPI PHY blocks, with base
 * specified in DTS.
 */

/*#define SENSOR_CSR_PHY0_TST_CTRL0_OFFSET (0x0048)*/
#define SENSOR_CSR_PHY0_TST_CTRL0_OFFSET (0x0000)
#define SENSOR_CSR_PHY0_TST_CTRL0_DEFAULT (0x00000000)
#define SENSOR_CSR_PHY0_TST_CTRL0_DEFAULT_VALID (0x00000003)

/* SENSOR_CSR, PHY0_TST_CTRL0, PHY0_TESTCLR */
#define SENSOR_CSR_PHY0_TST_CTRL0_PHY0_TESTCLR_MASK (0x00000001)
#define SENSOR_CSR_PHY0_TST_CTRL0_PHY0_TESTCLR_LSBMASK (0x00000001)
#define SENSOR_CSR_PHY0_TST_CTRL0_PHY0_TESTCLR_SHIFT (0)
#define SENSOR_CSR_PHY0_TST_CTRL0_PHY0_TESTCLR_LENGTH (1)
#define SENSOR_CSR_PHY0_TST_CTRL0_PHY0_TESTCLR_DEFAULT (0)
#define SENSOR_CSR_PHY0_TST_CTRL0_PHY0_TESTCLR_SIGNED_FIELD (IMG_FALSE)

/* SENSOR_CSR, PHY0_TST_CTRL0, PHY0_TESTCLK */
#define SENSOR_CSR_PHY0_TST_CTRL0_PHY0_TESTCLK_MASK (0x00000002)
#define SENSOR_CSR_PHY0_TST_CTRL0_PHY0_TESTCLK_LSBMASK (0x00000001)
#define SENSOR_CSR_PHY0_TST_CTRL0_PHY0_TESTCLK_SHIFT (1)
#define SENSOR_CSR_PHY0_TST_CTRL0_PHY0_TESTCLK_LENGTH (1)
#define SENSOR_CSR_PHY0_TST_CTRL0_PHY0_TESTCLK_DEFAULT (0)
#define SENSOR_CSR_PHY0_TST_CTRL0_PHY0_TESTCLK_SIGNED_FIELD (IMG_FALSE)

/*#define SENSOR_CSR_PHY0_TST_CTRL1_OFFSET (0x004C)*/
#define SENSOR_CSR_PHY0_TST_CTRL1_OFFSET (0x0004)
#define SENSOR_CSR_PHY0_TST_CTRL1_DEFAULT (0x00000000)
#define SENSOR_CSR_PHY0_TST_CTRL1_DEFAULT_VALID (0x000001FF)

/* SENSOR_CSR, PHY0_TST_CTRL1, PHY0_TESTDIN */
#define SENSOR_CSR_PHY0_TST_CTRL1_PHY0_TESTDIN_MASK (0x000000FF)
#define SENSOR_CSR_PHY0_TST_CTRL1_PHY0_TESTDIN_LSBMASK (0x000000FF)
#define SENSOR_CSR_PHY0_TST_CTRL1_PHY0_TESTDIN_SHIFT (0)
#define SENSOR_CSR_PHY0_TST_CTRL1_PHY0_TESTDIN_LENGTH (8)
#define SENSOR_CSR_PHY0_TST_CTRL1_PHY0_TESTDIN_DEFAULT (0)
#define SENSOR_CSR_PHY0_TST_CTRL1_PHY0_TESTDIN_SIGNED_FIELD (IMG_FALSE)

/* SENSOR_CSR, PHY0_TST_CTRL1, PHY0_TESTEN */
#define SENSOR_CSR_PHY0_TST_CTRL1_PHY0_TESTEN_MASK (0x00000100)
#define SENSOR_CSR_PHY0_TST_CTRL1_PHY0_TESTEN_LSBMASK (0x00000001)
#define SENSOR_CSR_PHY0_TST_CTRL1_PHY0_TESTEN_SHIFT (8)
#define SENSOR_CSR_PHY0_TST_CTRL1_PHY0_TESTEN_LENGTH (1)
#define SENSOR_CSR_PHY0_TST_CTRL1_PHY0_TESTEN_DEFAULT (0)
#define SENSOR_CSR_PHY0_TST_CTRL1_PHY0_TESTEN_SIGNED_FIELD (IMG_FALSE)

/*#define SENSOR_CSR_PHY0_TST_STATUS0_OFFSET (0x0050)*/
#define SENSOR_CSR_PHY0_TST_STATUS0_OFFSET (0x0008)
#define SENSOR_CSR_PHY0_TST_STATUS0_DEFAULT (0x00000000)
#define SENSOR_CSR_PHY0_TST_STATUS0_DEFAULT_VALID (0x000000FF)

/* SENSOR_CSR, PHY0_TST_STATUS0, PHY0_TESTDOUT */
#define SENSOR_CSR_PHY0_TST_STATUS0_PHY0_TESTDOUT_MASK (0x000000FF)
#define SENSOR_CSR_PHY0_TST_STATUS0_PHY0_TESTDOUT_LSBMASK (0x000000FF)
#define SENSOR_CSR_PHY0_TST_STATUS0_PHY0_TESTDOUT_SHIFT (0)
#define SENSOR_CSR_PHY0_TST_STATUS0_PHY0_TESTDOUT_LENGTH (8)
#define SENSOR_CSR_PHY0_TST_STATUS0_PHY0_TESTDOUT_DEFAULT (0)
#define SENSOR_CSR_PHY0_TST_STATUS0_PHY0_TESTDOUT_SIGNED_FIELD (IMG_FALSE)

/*#define SENSOR_CSR_PHY0_TST_STATUS1_OFFSET (0x0054)*/
#define SENSOR_CSR_PHY0_TST_STATUS1_OFFSET (0x000C)
#define SENSOR_CSR_PHY0_TST_STATUS1_DEFAULT (0x00000000)
#define SENSOR_CSR_PHY0_TST_STATUS1_DEFAULT_VALID (0x00007FFF)

/* SENSOR_CSR, PHY0_TST_STATUS1, PHY0_STOPSTATECLK */
#define SENSOR_CSR_PHY0_TST_STATUS1_PHY0_STOPSTATECLK_MASK (0x00000001)
#define SENSOR_CSR_PHY0_TST_STATUS1_PHY0_STOPSTATECLK_LSBMASK (0x00000001)
#define SENSOR_CSR_PHY0_TST_STATUS1_PHY0_STOPSTATECLK_SHIFT (0)
#define SENSOR_CSR_PHY0_TST_STATUS1_PHY0_STOPSTATECLK_LENGTH (1)
#define SENSOR_CSR_PHY0_TST_STATUS1_PHY0_STOPSTATECLK_DEFAULT (0)
#define SENSOR_CSR_PHY0_TST_STATUS1_PHY0_STOPSTATECLK_SIGNED_FIELD (IMG_FALSE)

/* SENSOR_CSR, PHY0_TST_STATUS1, PHY0_ULPSACTIVENOTCLK */
#define SENSOR_CSR_PHY0_TST_STATUS1_PHY0_ULPSACTIVENOTCLK_MASK (0x00000002)
#define SENSOR_CSR_PHY0_TST_STATUS1_PHY0_ULPSACTIVENOTCLK_LSBMASK (0x00000001)
#define SENSOR_CSR_PHY0_TST_STATUS1_PHY0_ULPSACTIVENOTCLK_SHIFT (1)
#define SENSOR_CSR_PHY0_TST_STATUS1_PHY0_ULPSACTIVENOTCLK_LENGTH (1)
#define SENSOR_CSR_PHY0_TST_STATUS1_PHY0_ULPSACTIVENOTCLK_DEFAULT (0)
#define SENSOR_CSR_PHY0_TST_STATUS1_PHY0_ULPSACTIVENOTCLK_SIGNED_FIELD (IMG_FALSE)

/* SENSOR_CSR, PHY0_TST_STATUS1, PHY0_RXULPSCLKNOT */
#define SENSOR_CSR_PHY0_TST_STATUS1_PHY0_RXULPSCLKNOT_MASK (0x00000004)
#define SENSOR_CSR_PHY0_TST_STATUS1_PHY0_RXULPSCLKNOT_LSBMASK (0x00000001)
#define SENSOR_CSR_PHY0_TST_STATUS1_PHY0_RXULPSCLKNOT_SHIFT (2)
#define SENSOR_CSR_PHY0_TST_STATUS1_PHY0_RXULPSCLKNOT_LENGTH (1)
#define SENSOR_CSR_PHY0_TST_STATUS1_PHY0_RXULPSCLKNOT_DEFAULT (0)
#define SENSOR_CSR_PHY0_TST_STATUS1_PHY0_RXULPSCLKNOT_SIGNED_FIELD (IMG_FALSE)

/* SENSOR_CSR, PHY0_TST_STATUS1, PHY0_DIRECTION_0 */
#define SENSOR_CSR_PHY0_TST_STATUS1_PHY0_DIRECTION_0_MASK (0x00000008)
#define SENSOR_CSR_PHY0_TST_STATUS1_PHY0_DIRECTION_0_LSBMASK (0x00000001)
#define SENSOR_CSR_PHY0_TST_STATUS1_PHY0_DIRECTION_0_SHIFT (3)
#define SENSOR_CSR_PHY0_TST_STATUS1_PHY0_DIRECTION_0_LENGTH (1)
#define SENSOR_CSR_PHY0_TST_STATUS1_PHY0_DIRECTION_0_DEFAULT (0)
#define SENSOR_CSR_PHY0_TST_STATUS1_PHY0_DIRECTION_0_SIGNED_FIELD (IMG_FALSE)

/* SENSOR_CSR, PHY0_TST_STATUS1, PHY0_STOPSTATEDATA_0 */
#define SENSOR_CSR_PHY0_TST_STATUS1_PHY0_STOPSTATEDATA_0_MASK (0x00000010)
#define SENSOR_CSR_PHY0_TST_STATUS1_PHY0_STOPSTATEDATA_0_LSBMASK (0x00000001)
#define SENSOR_CSR_PHY0_TST_STATUS1_PHY0_STOPSTATEDATA_0_SHIFT (4)
#define SENSOR_CSR_PHY0_TST_STATUS1_PHY0_STOPSTATEDATA_0_LENGTH (1)
#define SENSOR_CSR_PHY0_TST_STATUS1_PHY0_STOPSTATEDATA_0_DEFAULT (0)
#define SENSOR_CSR_PHY0_TST_STATUS1_PHY0_STOPSTATEDATA_0_SIGNED_FIELD (IMG_FALSE)

/* SENSOR_CSR, PHY0_TST_STATUS1, PHY0_ULPSACTIVENOT_0 */
#define SENSOR_CSR_PHY0_TST_STATUS1_PHY0_ULPSACTIVENOT_0_MASK (0x00000020)
#define SENSOR_CSR_PHY0_TST_STATUS1_PHY0_ULPSACTIVENOT_0_LSBMASK (0x00000001)
#define SENSOR_CSR_PHY0_TST_STATUS1_PHY0_ULPSACTIVENOT_0_SHIFT (5)
#define SENSOR_CSR_PHY0_TST_STATUS1_PHY0_ULPSACTIVENOT_0_LENGTH (1)
#define SENSOR_CSR_PHY0_TST_STATUS1_PHY0_ULPSACTIVENOT_0_DEFAULT (0)
#define SENSOR_CSR_PHY0_TST_STATUS1_PHY0_ULPSACTIVENOT_0_SIGNED_FIELD (IMG_FALSE)

/* SENSOR_CSR, PHY0_TST_STATUS1, PHY0_DIRECTION_1 */
#define SENSOR_CSR_PHY0_TST_STATUS1_PHY0_DIRECTION_1_MASK (0x00000040)
#define SENSOR_CSR_PHY0_TST_STATUS1_PHY0_DIRECTION_1_LSBMASK (0x00000001)
#define SENSOR_CSR_PHY0_TST_STATUS1_PHY0_DIRECTION_1_SHIFT (6)
#define SENSOR_CSR_PHY0_TST_STATUS1_PHY0_DIRECTION_1_LENGTH (1)
#define SENSOR_CSR_PHY0_TST_STATUS1_PHY0_DIRECTION_1_DEFAULT (0)
#define SENSOR_CSR_PHY0_TST_STATUS1_PHY0_DIRECTION_1_SIGNED_FIELD (IMG_FALSE)

/* SENSOR_CSR, PHY0_TST_STATUS1, PHY0_STOPSTATEDATA_1 */
#define SENSOR_CSR_PHY0_TST_STATUS1_PHY0_STOPSTATEDATA_1_MASK (0x00000080)
#define SENSOR_CSR_PHY0_TST_STATUS1_PHY0_STOPSTATEDATA_1_LSBMASK (0x00000001)
#define SENSOR_CSR_PHY0_TST_STATUS1_PHY0_STOPSTATEDATA_1_SHIFT (7)
#define SENSOR_CSR_PHY0_TST_STATUS1_PHY0_STOPSTATEDATA_1_LENGTH (1)
#define SENSOR_CSR_PHY0_TST_STATUS1_PHY0_STOPSTATEDATA_1_DEFAULT (0)
#define SENSOR_CSR_PHY0_TST_STATUS1_PHY0_STOPSTATEDATA_1_SIGNED_FIELD (IMG_FALSE)

/* SENSOR_CSR, PHY0_TST_STATUS1, PHY0_ULPSACTIVENOT_1 */
#define SENSOR_CSR_PHY0_TST_STATUS1_PHY0_ULPSACTIVENOT_1_MASK (0x00000100)
#define SENSOR_CSR_PHY0_TST_STATUS1_PHY0_ULPSACTIVENOT_1_LSBMASK (0x00000001)
#define SENSOR_CSR_PHY0_TST_STATUS1_PHY0_ULPSACTIVENOT_1_SHIFT (8)
#define SENSOR_CSR_PHY0_TST_STATUS1_PHY0_ULPSACTIVENOT_1_LENGTH (1)
#define SENSOR_CSR_PHY0_TST_STATUS1_PHY0_ULPSACTIVENOT_1_DEFAULT (0)
#define SENSOR_CSR_PHY0_TST_STATUS1_PHY0_ULPSACTIVENOT_1_SIGNED_FIELD (IMG_FALSE)

/* SENSOR_CSR, PHY0_TST_STATUS1, PHY0_DIRECTION_2 */
#define SENSOR_CSR_PHY0_TST_STATUS1_PHY0_DIRECTION_2_MASK (0x00000200)
#define SENSOR_CSR_PHY0_TST_STATUS1_PHY0_DIRECTION_2_LSBMASK (0x00000001)
#define SENSOR_CSR_PHY0_TST_STATUS1_PHY0_DIRECTION_2_SHIFT (9)
#define SENSOR_CSR_PHY0_TST_STATUS1_PHY0_DIRECTION_2_LENGTH (1)
#define SENSOR_CSR_PHY0_TST_STATUS1_PHY0_DIRECTION_2_DEFAULT (0)
#define SENSOR_CSR_PHY0_TST_STATUS1_PHY0_DIRECTION_2_SIGNED_FIELD (IMG_FALSE)

/* SENSOR_CSR, PHY0_TST_STATUS1, PHY0_STOPSTATEDATA_2 */
#define SENSOR_CSR_PHY0_TST_STATUS1_PHY0_STOPSTATEDATA_2_MASK (0x00000400)
#define SENSOR_CSR_PHY0_TST_STATUS1_PHY0_STOPSTATEDATA_2_LSBMASK (0x00000001)
#define SENSOR_CSR_PHY0_TST_STATUS1_PHY0_STOPSTATEDATA_2_SHIFT (10)
#define SENSOR_CSR_PHY0_TST_STATUS1_PHY0_STOPSTATEDATA_2_LENGTH (1)
#define SENSOR_CSR_PHY0_TST_STATUS1_PHY0_STOPSTATEDATA_2_DEFAULT (0)
#define SENSOR_CSR_PHY0_TST_STATUS1_PHY0_STOPSTATEDATA_2_SIGNED_FIELD (IMG_FALSE)

/* SENSOR_CSR, PHY0_TST_STATUS1, PHY0_ULPSACTIVENOT_2 */
#define SENSOR_CSR_PHY0_TST_STATUS1_PHY0_ULPSACTIVENOT_2_MASK (0x00000800)
#define SENSOR_CSR_PHY0_TST_STATUS1_PHY0_ULPSACTIVENOT_2_LSBMASK (0x00000001)
#define SENSOR_CSR_PHY0_TST_STATUS1_PHY0_ULPSACTIVENOT_2_SHIFT (11)
#define SENSOR_CSR_PHY0_TST_STATUS1_PHY0_ULPSACTIVENOT_2_LENGTH (1)
#define SENSOR_CSR_PHY0_TST_STATUS1_PHY0_ULPSACTIVENOT_2_DEFAULT (0)
#define SENSOR_CSR_PHY0_TST_STATUS1_PHY0_ULPSACTIVENOT_2_SIGNED_FIELD (IMG_FALSE)

/* SENSOR_CSR, PHY0_TST_STATUS1, PHY0_DIRECTION_3 */
#define SENSOR_CSR_PHY0_TST_STATUS1_PHY0_DIRECTION_3_MASK (0x00001000)
#define SENSOR_CSR_PHY0_TST_STATUS1_PHY0_DIRECTION_3_LSBMASK (0x00000001)
#define SENSOR_CSR_PHY0_TST_STATUS1_PHY0_DIRECTION_3_SHIFT (12)
#define SENSOR_CSR_PHY0_TST_STATUS1_PHY0_DIRECTION_3_LENGTH (1)
#define SENSOR_CSR_PHY0_TST_STATUS1_PHY0_DIRECTION_3_DEFAULT (0)
#define SENSOR_CSR_PHY0_TST_STATUS1_PHY0_DIRECTION_3_SIGNED_FIELD (IMG_FALSE)

/* SENSOR_CSR, PHY0_TST_STATUS1, PHY0_STOPSTATEDATA_3 */
#define SENSOR_CSR_PHY0_TST_STATUS1_PHY0_STOPSTATEDATA_3_MASK (0x00002000)
#define SENSOR_CSR_PHY0_TST_STATUS1_PHY0_STOPSTATEDATA_3_LSBMASK (0x00000001)
#define SENSOR_CSR_PHY0_TST_STATUS1_PHY0_STOPSTATEDATA_3_SHIFT (13)
#define SENSOR_CSR_PHY0_TST_STATUS1_PHY0_STOPSTATEDATA_3_LENGTH (1)
#define SENSOR_CSR_PHY0_TST_STATUS1_PHY0_STOPSTATEDATA_3_DEFAULT (0)
#define SENSOR_CSR_PHY0_TST_STATUS1_PHY0_STOPSTATEDATA_3_SIGNED_FIELD (IMG_FALSE)

/* SENSOR_CSR, PHY0_TST_STATUS1, PHY0_ULPSACTIVENOT_3 */
#define SENSOR_CSR_PHY0_TST_STATUS1_PHY0_ULPSACTIVENOT_3_MASK (0x00004000)
#define SENSOR_CSR_PHY0_TST_STATUS1_PHY0_ULPSACTIVENOT_3_LSBMASK (0x00000001)
#define SENSOR_CSR_PHY0_TST_STATUS1_PHY0_ULPSACTIVENOT_3_SHIFT (14)
#define SENSOR_CSR_PHY0_TST_STATUS1_PHY0_ULPSACTIVENOT_3_LENGTH (1)
#define SENSOR_CSR_PHY0_TST_STATUS1_PHY0_ULPSACTIVENOT_3_DEFAULT (0)
#define SENSOR_CSR_PHY0_TST_STATUS1_PHY0_ULPSACTIVENOT_3_SIGNED_FIELD (IMG_FALSE)

/*
 * MIPI PHY CTRL registers (Switched top general)
 * These definitions are used to configure both MIPI PHY blocks, with base
 * specified in DTS.
 */

#define MIPI0_PHY_CTRL_OFFSET (0x0000)
#define MIPI0_PHY_CTRL_DEFAULT (0x00000000)
#define MIPI0_PHY_CTRL_DEFAULT_VALID (0x0007FFFF)

/* EUROPA_SWITCHED_TOP_GEN, CR_MIPI0_PHY_CTRL, CR_MIPI0_PHY_RSTZ */
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_RSTZ_MASK (0x00040000)
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_RSTZ_LSBMASK (0x00000001)
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_RSTZ_SHIFT (18)
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_RSTZ_LENGTH (1)
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_RSTZ_DEFAULT (0)
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_RSTZ_SIGNED_FIELD (IMG_FALSE)

/* EUROPA_SWITCHED_TOP_GEN, CR_MIPI0_PHY_CTRL, CR_MIPI0_PHY_SHUTDOWNZ */
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_SHUTDOWNZ_MASK (0x00020000)
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_SHUTDOWNZ_LSBMASK (0x00000001)
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_SHUTDOWNZ_SHIFT (17)
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_SHUTDOWNZ_LENGTH (1)
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_SHUTDOWNZ_DEFAULT (0)
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_SHUTDOWNZ_SIGNED_FIELD (IMG_FALSE)

/* EUROPA_SWITCHED_TOP_GEN, CR_MIPI0_PHY_CTRL, CR_MIPI0_PHY_TURN_REQUEST_3 */
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_TURN_REQUEST_3_MASK (0x00010000)
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_TURN_REQUEST_3_LSBMASK (0x00000001)
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_TURN_REQUEST_3_SHIFT (16)
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_TURN_REQUEST_3_LENGTH (1)
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_TURN_REQUEST_3_DEFAULT (0)
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_TURN_REQUEST_3_SIGNED_FIELD (IMG_FALSE)

/* EUROPA_SWITCHED_TOP_GEN, CR_MIPI0_PHY_CTRL, CR_MIPI0_PHY_TURN_REQUEST_2 */
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_TURN_REQUEST_2_MASK (0x00008000)
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_TURN_REQUEST_2_LSBMASK (0x00000001)
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_TURN_REQUEST_2_SHIFT (15)
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_TURN_REQUEST_2_LENGTH (1)
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_TURN_REQUEST_2_DEFAULT (0)
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_TURN_REQUEST_2_SIGNED_FIELD (IMG_FALSE)

/* EUROPA_SWITCHED_TOP_GEN, CR_MIPI0_PHY_CTRL, CR_MIPI0_PHY_TURN_REQUEST_1 */
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_TURN_REQUEST_1_MASK (0x00004000)
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_TURN_REQUEST_1_LSBMASK (0x00000001)
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_TURN_REQUEST_1_SHIFT (14)
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_TURN_REQUEST_1_LENGTH (1)
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_TURN_REQUEST_1_DEFAULT (0)
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_TURN_REQUEST_1_SIGNED_FIELD (IMG_FALSE)

/* EUROPA_SWITCHED_TOP_GEN, CR_MIPI0_PHY_CTRL, CR_MIPI0_PHY_TURN_REQUEST_0 */
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_TURN_REQUEST_0_MASK (0x00002000)
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_TURN_REQUEST_0_LSBMASK (0x00000001)
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_TURN_REQUEST_0_SHIFT (13)
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_TURN_REQUEST_0_LENGTH (1)
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_TURN_REQUEST_0_DEFAULT (0)
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_TURN_REQUEST_0_SIGNED_FIELD (IMG_FALSE)

/* EUROPA_SWITCHED_TOP_GEN, CR_MIPI0_PHY_CTRL, CR_MIPI0_PHY_FORCE_RXMODE_3 */
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_FORCE_RXMODE_3_MASK (0x00001000)
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_FORCE_RXMODE_3_LSBMASK (0x00000001)
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_FORCE_RXMODE_3_SHIFT (12)
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_FORCE_RXMODE_3_LENGTH (1)
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_FORCE_RXMODE_3_DEFAULT (0)
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_FORCE_RXMODE_3_SIGNED_FIELD (IMG_FALSE)

/* EUROPA_SWITCHED_TOP_GEN, CR_MIPI0_PHY_CTRL, CR_MIPI0_PHY_FORCE_RXMODE_2 */
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_FORCE_RXMODE_2_MASK (0x00000800)
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_FORCE_RXMODE_2_LSBMASK (0x00000001)
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_FORCE_RXMODE_2_SHIFT (11)
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_FORCE_RXMODE_2_LENGTH (1)
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_FORCE_RXMODE_2_DEFAULT (0)
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_FORCE_RXMODE_2_SIGNED_FIELD (IMG_FALSE)

/* EUROPA_SWITCHED_TOP_GEN, CR_MIPI0_PHY_CTRL, CR_MIPI0_PHY_FORCE_RXMODE_1 */
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_FORCE_RXMODE_1_MASK (0x00000400)
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_FORCE_RXMODE_1_LSBMASK (0x00000001)
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_FORCE_RXMODE_1_SHIFT (10)
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_FORCE_RXMODE_1_LENGTH (1)
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_FORCE_RXMODE_1_DEFAULT (0)
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_FORCE_RXMODE_1_SIGNED_FIELD (IMG_FALSE)

/* EUROPA_SWITCHED_TOP_GEN, CR_MIPI0_PHY_CTRL, CR_MIPI0_PHY_FORCE_RXMODE_0 */
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_FORCE_RXMODE_0_MASK (0x00000200)
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_FORCE_RXMODE_0_LSBMASK (0x00000001)
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_FORCE_RXMODE_0_SHIFT (9)
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_FORCE_RXMODE_0_LENGTH (1)
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_FORCE_RXMODE_0_DEFAULT (0)
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_FORCE_RXMODE_0_SIGNED_FIELD (IMG_FALSE)

/* EUROPA_SWITCHED_TOP_GEN, CR_MIPI0_PHY_CTRL, CR_MIPI0_PHY_TURN_DISABLE_3 */
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_TURN_DISABLE_3_MASK (0x00000100)
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_TURN_DISABLE_3_LSBMASK (0x00000001)
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_TURN_DISABLE_3_SHIFT (8)
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_TURN_DISABLE_3_LENGTH (1)
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_TURN_DISABLE_3_DEFAULT (0)
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_TURN_DISABLE_3_SIGNED_FIELD (IMG_FALSE)

/* EUROPA_SWITCHED_TOP_GEN, CR_MIPI0_PHY_CTRL, CR_MIPI0_PHY_TURN_DISABLE_2 */
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_TURN_DISABLE_2_MASK (0x00000080)
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_TURN_DISABLE_2_LSBMASK (0x00000001)
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_TURN_DISABLE_2_SHIFT (7)
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_TURN_DISABLE_2_LENGTH (1)
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_TURN_DISABLE_2_DEFAULT (0)
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_TURN_DISABLE_2_SIGNED_FIELD (IMG_FALSE)

/* EUROPA_SWITCHED_TOP_GEN, CR_MIPI0_PHY_CTRL, CR_MIPI0_PHY_TURN_DISABLE_1 */
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_TURN_DISABLE_1_MASK (0x00000040)
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_TURN_DISABLE_1_LSBMASK (0x00000001)
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_TURN_DISABLE_1_SHIFT (6)
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_TURN_DISABLE_1_LENGTH (1)
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_TURN_DISABLE_1_DEFAULT (0)
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_TURN_DISABLE_1_SIGNED_FIELD (IMG_FALSE)

/* EUROPA_SWITCHED_TOP_GEN, CR_MIPI0_PHY_CTRL, CR_MIPI0_PHY_TURN_DISABLE_0 */
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_TURN_DISABLE_0_MASK (0x00000020)
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_TURN_DISABLE_0_LSBMASK (0x00000001)
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_TURN_DISABLE_0_SHIFT (5)
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_TURN_DISABLE_0_LENGTH (1)
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_TURN_DISABLE_0_DEFAULT (0)
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_TURN_DISABLE_0_SIGNED_FIELD (IMG_FALSE)

/* EUROPA_SWITCHED_TOP_GEN, CR_MIPI0_PHY_CTRL, CR_MIPI0_PHY_ENABLE_RX_LANE_3 */
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_ENABLE_RX_LANE_3_MASK (0x00000010)
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_ENABLE_RX_LANE_3_LSBMASK (0x00000001)
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_ENABLE_RX_LANE_3_SHIFT (4)
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_ENABLE_RX_LANE_3_LENGTH (1)
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_ENABLE_RX_LANE_3_DEFAULT (0)
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_ENABLE_RX_LANE_3_SIGNED_FIELD (IMG_FALSE)

/* EUROPA_SWITCHED_TOP_GEN, CR_MIPI0_PHY_CTRL, CR_MIPI0_PHY_ENABLE_RX_LANE_2 */
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_ENABLE_RX_LANE_2_MASK (0x00000008)
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_ENABLE_RX_LANE_2_LSBMASK (0x00000001)
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_ENABLE_RX_LANE_2_SHIFT (3)
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_ENABLE_RX_LANE_2_LENGTH (1)
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_ENABLE_RX_LANE_2_DEFAULT (0)
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_ENABLE_RX_LANE_2_SIGNED_FIELD (IMG_FALSE)

/* EUROPA_SWITCHED_TOP_GEN, CR_MIPI0_PHY_CTRL, CR_MIPI0_PHY_ENABLE_RX_LANE_1 */
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_ENABLE_RX_LANE_1_MASK (0x00000004)
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_ENABLE_RX_LANE_1_LSBMASK (0x00000001)
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_ENABLE_RX_LANE_1_SHIFT (2)
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_ENABLE_RX_LANE_1_LENGTH (1)
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_ENABLE_RX_LANE_1_DEFAULT (0)
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_ENABLE_RX_LANE_1_SIGNED_FIELD (IMG_FALSE)

/* EUROPA_SWITCHED_TOP_GEN, CR_MIPI0_PHY_CTRL, CR_MIPI0_PHY_ENABLE_RX_LANE_0 */
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_ENABLE_RX_LANE_0_MASK (0x00000002)
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_ENABLE_RX_LANE_0_LSBMASK (0x00000001)
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_ENABLE_RX_LANE_0_SHIFT (1)
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_ENABLE_RX_LANE_0_LENGTH (1)
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_ENABLE_RX_LANE_0_DEFAULT (0)
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_ENABLE_RX_LANE_0_SIGNED_FIELD (IMG_FALSE)

/* EUROPA_SWITCHED_TOP_GEN, CR_MIPI0_PHY_CTRL, CR_MIPI0_PHY_ENABLECLK */
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_ENABLECLK_MASK (0x00000001)
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_ENABLECLK_LSBMASK (0x00000001)
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_ENABLECLK_SHIFT (0)
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_ENABLECLK_LENGTH (1)
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_ENABLECLK_DEFAULT (0)
#define MIPI0_PHY_CTRL_CR_MIPI0_PHY_ENABLECLK_SIGNED_FIELD (IMG_FALSE)

#define MIPI0_PHY_ERROR_OFFSET (0x0004)

/* EUROPA_SWITCHED_TOP_GEN, CR_MIPI0_PHY_ERROR, CR_MIPI0_PHY_ERRCONTENTIONLP1_3 */
#define MIPI0_PHY_ERROR_CR_MIPI0_PHY_ERRCONTENTIONLP1_3_MASK (0x00000800)
#define MIPI0_PHY_ERROR_CR_MIPI0_PHY_ERRCONTENTIONLP1_3_LSBMASK (0x00000001)
#define MIPI0_PHY_ERROR_CR_MIPI0_PHY_ERRCONTENTIONLP1_3_SHIFT (11)
#define MIPI0_PHY_ERROR_CR_MIPI0_PHY_ERRCONTENTIONLP1_3_LENGTH (1)
#define MIPI0_PHY_ERROR_CR_MIPI0_PHY_ERRCONTENTIONLP1_3_SIGNED_FIELD (IMG_FALSE)

/* EUROPA_SWITCHED_TOP_GEN, CR_MIPI0_PHY_ERROR, CR_MIPI0_PHY_ERRCONTENTIONLP0_3 */
#define MIPI0_PHY_ERROR_CR_MIPI0_PHY_ERRCONTENTIONLP0_3_MASK (0x00000400)
#define MIPI0_PHY_ERROR_CR_MIPI0_PHY_ERRCONTENTIONLP0_3_LSBMASK (0x00000001)
#define MIPI0_PHY_ERROR_CR_MIPI0_PHY_ERRCONTENTIONLP0_3_SHIFT (10)
#define MIPI0_PHY_ERROR_CR_MIPI0_PHY_ERRCONTENTIONLP0_3_LENGTH (1)
#define MIPI0_PHY_ERROR_CR_MIPI0_PHY_ERRCONTENTIONLP0_3_SIGNED_FIELD (IMG_FALSE)

/* EUROPA_SWITCHED_TOP_GEN, CR_MIPI0_PHY_ERROR, CR_MIPI0_PHY_ERRCONTROL_3 */
#define MIPI0_PHY_ERROR_CR_MIPI0_PHY_ERRCONTROL_3_MASK (0x00000200)
#define MIPI0_PHY_ERROR_CR_MIPI0_PHY_ERRCONTROL_3_LSBMASK (0x00000001)
#define MIPI0_PHY_ERROR_CR_MIPI0_PHY_ERRCONTROL_3_SHIFT (9)
#define MIPI0_PHY_ERROR_CR_MIPI0_PHY_ERRCONTROL_3_LENGTH (1)
#define MIPI0_PHY_ERROR_CR_MIPI0_PHY_ERRCONTROL_3_SIGNED_FIELD (IMG_FALSE)

/* EUROPA_SWITCHED_TOP_GEN, CR_MIPI0_PHY_ERROR, CR_MIPI0_PHY_ERRCONTENTIONLP1_2 */
#define MIPI0_PHY_ERROR_CR_MIPI0_PHY_ERRCONTENTIONLP1_2_MASK (0x00000100)
#define MIPI0_PHY_ERROR_CR_MIPI0_PHY_ERRCONTENTIONLP1_2_LSBMASK (0x00000001)
#define MIPI0_PHY_ERROR_CR_MIPI0_PHY_ERRCONTENTIONLP1_2_SHIFT (8)
#define MIPI0_PHY_ERROR_CR_MIPI0_PHY_ERRCONTENTIONLP1_2_LENGTH (1)
#define MIPI0_PHY_ERROR_CR_MIPI0_PHY_ERRCONTENTIONLP1_2_SIGNED_FIELD (IMG_FALSE)

/* EUROPA_SWITCHED_TOP_GEN, CR_MIPI0_PHY_ERROR, CR_MIPI0_PHY_ERRCONTENTIONLP0_2 */
#define MIPI0_PHY_ERROR_CR_MIPI0_PHY_ERRCONTENTIONLP0_2_MASK (0x00000080)
#define MIPI0_PHY_ERROR_CR_MIPI0_PHY_ERRCONTENTIONLP0_2_LSBMASK (0x00000001)
#define MIPI0_PHY_ERROR_CR_MIPI0_PHY_ERRCONTENTIONLP0_2_SHIFT (7)
#define MIPI0_PHY_ERROR_CR_MIPI0_PHY_ERRCONTENTIONLP0_2_LENGTH (1)
#define MIPI0_PHY_ERROR_CR_MIPI0_PHY_ERRCONTENTIONLP0_2_SIGNED_FIELD (IMG_FALSE)

/* EUROPA_SWITCHED_TOP_GEN, CR_MIPI0_PHY_ERROR, CR_MIPI0_PHY_ERRCONTROL_2 */
#define MIPI0_PHY_ERROR_CR_MIPI0_PHY_ERRCONTROL_2_MASK (0x00000040)
#define MIPI0_PHY_ERROR_CR_MIPI0_PHY_ERRCONTROL_2_LSBMASK (0x00000001)
#define MIPI0_PHY_ERROR_CR_MIPI0_PHY_ERRCONTROL_2_SHIFT (6)
#define MIPI0_PHY_ERROR_CR_MIPI0_PHY_ERRCONTROL_2_LENGTH (1)
#define MIPI0_PHY_ERROR_CR_MIPI0_PHY_ERRCONTROL_2_SIGNED_FIELD (IMG_FALSE)

/* EUROPA_SWITCHED_TOP_GEN, CR_MIPI0_PHY_ERROR, CR_MIPI0_PHY_ERRCONTENTIONLP1_1 */
#define MIPI0_PHY_ERROR_CR_MIPI0_PHY_ERRCONTENTIONLP1_1_MASK (0x00000020)
#define MIPI0_PHY_ERROR_CR_MIPI0_PHY_ERRCONTENTIONLP1_1_LSBMASK (0x00000001)
#define MIPI0_PHY_ERROR_CR_MIPI0_PHY_ERRCONTENTIONLP1_1_SHIFT (5)
#define MIPI0_PHY_ERROR_CR_MIPI0_PHY_ERRCONTENTIONLP1_1_LENGTH (1)
#define MIPI0_PHY_ERROR_CR_MIPI0_PHY_ERRCONTENTIONLP1_1_SIGNED_FIELD (IMG_FALSE)

/* EUROPA_SWITCHED_TOP_GEN, CR_MIPI0_PHY_ERROR, CR_MIPI0_PHY_ERRCONTENTIONLP0_1 */
#define MIPI0_PHY_ERROR_CR_MIPI0_PHY_ERRCONTENTIONLP0_1_MASK (0x00000010)
#define MIPI0_PHY_ERROR_CR_MIPI0_PHY_ERRCONTENTIONLP0_1_LSBMASK (0x00000001)
#define MIPI0_PHY_ERROR_CR_MIPI0_PHY_ERRCONTENTIONLP0_1_SHIFT (4)
#define MIPI0_PHY_ERROR_CR_MIPI0_PHY_ERRCONTENTIONLP0_1_LENGTH (1)
#define MIPI0_PHY_ERROR_CR_MIPI0_PHY_ERRCONTENTIONLP0_1_SIGNED_FIELD (IMG_FALSE)

/* EUROPA_SWITCHED_TOP_GEN, CR_MIPI0_PHY_ERROR, CR_MIPI0_PHY_ERRCONTROL_1 */
#define MIPI0_PHY_ERROR_CR_MIPI0_PHY_ERRCONTROL_1_MASK (0x00000008)
#define MIPI0_PHY_ERROR_CR_MIPI0_PHY_ERRCONTROL_1_LSBMASK (0x00000001)
#define MIPI0_PHY_ERROR_CR_MIPI0_PHY_ERRCONTROL_1_SHIFT (3)
#define MIPI0_PHY_ERROR_CR_MIPI0_PHY_ERRCONTROL_1_LENGTH (1)
#define MIPI0_PHY_ERROR_CR_MIPI0_PHY_ERRCONTROL_1_SIGNED_FIELD (IMG_FALSE)

/* EUROPA_SWITCHED_TOP_GEN, CR_MIPI0_PHY_ERROR, CR_MIPI0_PHY_ERRCONTENTIONLP1_0 */
#define MIPI0_PHY_ERROR_CR_MIPI0_PHY_ERRCONTENTIONLP1_0_MASK (0x00000004)
#define MIPI0_PHY_ERROR_CR_MIPI0_PHY_ERRCONTENTIONLP1_0_LSBMASK (0x00000001)
#define MIPI0_PHY_ERROR_CR_MIPI0_PHY_ERRCONTENTIONLP1_0_SHIFT (2)
#define MIPI0_PHY_ERROR_CR_MIPI0_PHY_ERRCONTENTIONLP1_0_LENGTH (1)
#define MIPI0_PHY_ERROR_CR_MIPI0_PHY_ERRCONTENTIONLP1_0_SIGNED_FIELD (IMG_FALSE)

/* EUROPA_SWITCHED_TOP_GEN, CR_MIPI0_PHY_ERROR, CR_MIPI0_PHY_ERRCONTENTIONLP0_0 */
#define MIPI0_PHY_ERROR_CR_MIPI0_PHY_ERRCONTENTIONLP0_0_MASK (0x00000002)
#define MIPI0_PHY_ERROR_CR_MIPI0_PHY_ERRCONTENTIONLP0_0_LSBMASK (0x00000001)
#define MIPI0_PHY_ERROR_CR_MIPI0_PHY_ERRCONTENTIONLP0_0_SHIFT (1)
#define MIPI0_PHY_ERROR_CR_MIPI0_PHY_ERRCONTENTIONLP0_0_LENGTH (1)
#define MIPI0_PHY_ERROR_CR_MIPI0_PHY_ERRCONTENTIONLP0_0_SIGNED_FIELD (IMG_FALSE)

/* EUROPA_SWITCHED_TOP_GEN, CR_MIPI0_PHY_ERROR, CR_MIPI0_PHY_ERRCONTROL_0 */
#define MIPI0_PHY_ERROR_CR_MIPI0_PHY_ERRCONTROL_0_MASK (0x00000001)
#define MIPI0_PHY_ERROR_CR_MIPI0_PHY_ERRCONTROL_0_LSBMASK (0x00000001)
#define MIPI0_PHY_ERROR_CR_MIPI0_PHY_ERRCONTROL_0_SHIFT (0)
#define MIPI0_PHY_ERROR_CR_MIPI0_PHY_ERRCONTROL_0_LENGTH (1)
#define MIPI0_PHY_ERROR_CR_MIPI0_PHY_ERRCONTROL_0_SIGNED_FIELD (IMG_FALSE)

#endif // _SENSOR_PHY_REGS_H_
